Bug 231133 - Crash on double-clicking playlist item
Summary: Crash on double-clicking playlist item
Status: RESOLVED DUPLICATE of bug 229240
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.3-GIT
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 2.3.1
Assignee: Amarok Developers
URL:
Keywords:
: 234591 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-17 19:15 UTC by Eike Hein
Modified: 2010-04-21 00:10 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2010-03-17 19:15:23 UTC
Application: amarok (2.3-GIT)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.32.9-70.fc12.x86_64 x86_64
Distribution: "Fedora release 12 (Constantine)"

-- Information about the crash:
Using latest git master (v2.3.0-196-gaa5ca5d). Doesn't crash when double-clicking collection item or pressing the "Play" toolbar button.

The crash can be reproduced every time.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7ff78086f8a0 (LWP 13721))]

Thread 18 (Thread 0x7ff76f77f710 (LWP 13725)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000003494c134b1 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7ff76ed7e710 (LWP 13726)):
#0  0x000000374a0ed0b0 in pthread_mutex_unlock (mutex=0x7ff7680009b8) at forward.c:184
#1  0x000000327503c76a in ?? () from /lib64/libglib-2.0.so.0
#2  0x000000327503cd1a in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003d8a3830d6 in QEventDispatcherGlib::processEvents (this=0x7ff7680008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x0000003d8a35a392 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003d8a35a65c in QEventLoop::exec (this=0x7ff76ed7dc90, flags=...) at kernel/qeventloop.cpp:201
#6  0x0000003d8a26f369 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007ff77262dabe in Phonon::Xine::XineThread::run (this=0x137e070) at /usr/src/debug/phonon-4.3.80/xine/xinethread.cpp:143
#8  0x0000003d8a271435 in QThreadPrivate::start (arg=0x137e070) at thread/qthread_unix.cpp:248
#9  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7ff76e179710 (LWP 13727)):
#0  0x000000374a0d51e3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003408c2c73f in ?? () from /usr/lib64/libpulse.so.0
#2  0x0000003408c1cae6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x0000003408c1dea9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x0000003408c1df60 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x0000003408c2c64b in ?? () from /usr/lib64/libpulse.so.0
#6  0x0000003409038838 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7ff76d778710 (LWP 13728)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c24123 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7ff763ffe710 (LWP 13729)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c24123 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7ff7635fd710 (LWP 13730)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c24123 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7ff761bc0710 (LWP 13732)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003d8a27232b in wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d94e09f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2be02d0, th=0x2be14f0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003d94e0c4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2be14f0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003d94e0c4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2be14f0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003d94e0ae6f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff761bbfcf0, parent=0x2be02d0, th=0x2be14f0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003d94e0b358 in ThreadWeaver::Thread::run (this=0x2be14f0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2be14f0) at thread/qthread_unix.cpp:248
#9  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ff753fff710 (LWP 13733)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003d8a27232b in wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d94e09f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2be02d0, th=0x2be2c00) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003d94e0c4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2be2c00) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003d94e0c4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2be2c00) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003d94e0ae6f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff753ffecf0, parent=0x2be02d0, th=0x2be2c00) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003d94e0b358 in ThreadWeaver::Thread::run (this=0x2be2c00) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2be2c00) at thread/qthread_unix.cpp:248
#9  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ff74bbd3710 (LWP 13734)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003d8a27232b in wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d94e09f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2be02d0, th=0x2bfeb90) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003d94e0c4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2bfeb90) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003d94e0ae6f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff74bbd2cf0, parent=0x2be02d0, th=0x2bfeb90) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003d94e0b358 in ThreadWeaver::Thread::run (this=0x2bfeb90) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2bfeb90) at thread/qthread_unix.cpp:248
#8  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7ff743fff710 (LWP 13735)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003d8a27232b in wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2be10c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d94e09f86 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2be02d0, th=0x2bfb4c0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003d94e0c4ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2bfb4c0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003d94e0c4c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2bdf3c0, th=0x2bfb4c0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003d94e0ae6f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff743ffecf0, parent=0x2be02d0, th=0x2bfb4c0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003d94e0b358 in ThreadWeaver::Thread::run (this=0x2bfb4c0) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2bfb4c0) at thread/qthread_unix.cpp:248
#9  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff74a7d1710 (LWP 13740)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000003d8a272292 in wait (this=<value optimized out>, mutex=0x291b040, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x291b040, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d8a268c41 in QThreadPoolThread::run (this=0x2c9c780) at concurrent/qthreadpool.cpp:140
#4  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2c9c780) at thread/qthread_unix.cpp:248
#5  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff7499c8710 (LWP 13745)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003d921286d6 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x3d92406160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x0000003d92128719 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x3d9241422c) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff72b43f710 (LWP 13748)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x0000003d8a272292 in wait (this=<value optimized out>, mutex=0x291b040, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x291b040, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003d8a268c41 in QThreadPoolThread::run (this=0x2ee9ff0) at concurrent/qthreadpool.cpp:140
#4  0x0000003d8a271435 in QThreadPrivate::start (arg=0x2ee9ff0) at thread/qthread_unix.cpp:248
#5  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff72a41a710 (LWP 13751)):
#0  0x000000374a0d73e3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x0000003494c3b575 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x0000003494c20f99 in ?? () from /usr/lib64/libxine.so.1
#3  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff729630710 (LWP 13752)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c16d8b in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003494c1cd0d in ?? () from /usr/lib64/libxine.so.1
#3  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff728c2f710 (LWP 13753)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c16d8b in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003494c1dd0d in ?? () from /usr/lib64/libxine.so.1
#3  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff723fff710 (LWP 13754)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003494c271db in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x0000003494c2724e in ?? () from /usr/lib64/libxine.so.1
#3  0x000000374ac06a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x000000374a0de67d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff78086f8a0 (LWP 13721)):
[KCrash Handler]
#5  QSortFilterProxyModelPrivate::proxy_to_source (this=0x1eb1c30, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:337
#6  0x0000003d8af2645d in QSortFilterProxyModel::mapToSource (this=<value optimized out>, proxyIndex=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:2457
#7  0x0000003d8af1d615 in QSortFilterProxyModel::buddy (this=0x1eb5660, index=...) at itemviews/qsortfilterproxymodel.cpp:1960
#8  0x0000003d8ae9d4f3 in QAbstractItemViewPrivate::sendDelegateEvent (this=0x28a8710, index=..., event=<value optimized out>) at itemviews/qabstractitemview.cpp:4050
#9  0x0000003d8ae9d984 in QAbstractItemView::edit (this=0x28a8660, index=..., trigger=DoubleClicked, event=0x7fffde28fd00) at itemviews/qabstractitemview.cpp:2520
#10 0x0000003d8ae948bb in QAbstractItemView::mouseDoubleClickEvent (this=0x28a8660, event=0x7fffde28fd00) at itemviews/qabstractitemview.cpp:1815
#11 0x0000003d8a9f93f6 in QWidget::event (this=0x28a8660, event=0x7fffde28fd00) at kernel/qwidget.cpp:8037
#12 0x0000003d8ad85b26 in QFrame::event (this=0x28a8660, e=0x7fffde28fd00) at widgets/qframe.cpp:557
#13 0x0000003d8aea0dab in QAbstractItemView::viewportEvent (this=0x28a8660, event=0x7fffde28fd00) at itemviews/qabstractitemview.cpp:1615
#14 0x0000003d8a35ad67 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x28a2ba0, event=0x7fffde28fd00) at kernel/qcoreapplication.cpp:819
#15 0x0000003d8a9aedcc in QApplicationPrivate::notify_helper (this=0x1185430, receiver=0x28a2ba0, e=0x7fffde28fd00) at kernel/qapplication.cpp:4318
#16 0x0000003d8a9b452e in QApplication::notify (this=<value optimized out>, receiver=0x28a2ba0, e=0x7fffde28fd00) at kernel/qapplication.cpp:3887
#17 0x00007ff781d9da88 in App::notify (this=0x7fffde2909b0, receiver=0x28a2ba0, event=0x7fffde28fd00) at /home/sho/kdevel/4/src/amarok/src/App.cpp:931
#18 0x0000003d8a35b53c in QCoreApplication::notifyInternal (this=0x7fffde2909b0, receiver=0x28a2ba0, event=0x7fffde28fd00) at kernel/qcoreapplication.cpp:704
#19 0x0000003d8a9b36be in sendEvent (receiver=0x28a2ba0, event=0x7fffde28fd00, alienWidget=0x28a2ba0, nativeWidget=0x28c1bc0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../src/corelib/kernel/qcoreapplication.h:215
#20 QApplicationPrivate::sendMouseEvent (receiver=0x28a2ba0, event=0x7fffde28fd00, alienWidget=0x28a2ba0, nativeWidget=0x28c1bc0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2987
#21 0x0000003d8aa28375 in QETWidget::translateMouseEvent (this=0x28c1bc0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4354
#22 0x0000003d8aa27088 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffde290620) at kernel/qapplication_x11.cpp:3487
#23 0x0000003d8aa4ffd2 in x11EventSourceDispatch (s=0x1193ff0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#24 0x000000327503920e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#25 0x000000327503cbf8 in ?? () from /lib64/libglib-2.0.so.0
#26 0x000000327503cd1a in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#27 0x0000003d8a383083 in QEventDispatcherGlib::processEvents (this=0x1030fc0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#28 0x0000003d8aa4fb5e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x0000003d8a35a392 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#30 0x0000003d8a35a65c in QEventLoop::exec (this=0x7fffde290950, flags=...) at kernel/qeventloop.cpp:201
#31 0x0000003d8a35e49b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#32 0x000000000040ae62 in main (argc=1, argv=0x7fffde292918) at /home/sho/kdevel/4/src/amarok/src/main.cpp:237

Possible duplicates by query: bug 229240, bug 228214.

Reported using DrKonqi
Comment 1 Mikko C. 2010-03-18 10:25:57 UTC
The backtrace seems similar to the one in bug 229240 with some line changes due to different QT version.
So I guess this isn't fixed?
Comment 2 langstr 2010-03-18 12:04:27 UTC
It's possible that it has the same underlying cause, because reading the Qt source code it seems to involve a QPersistentModelIndex yet again.

But the path is completely different.

Hint to people trying to reproduce this: the lines in the crash dump indicate that an item edit was being started. You may need to move the mouse while you're double-clicking, to make it an item edit instead of an item select.

I can not reproduce this (Qt 4.6).

Interesting observations:
  - The crash dump does not contain any Amarok class names; it's all underlying generic Qt classes.
  - The crash dump is extremely similar to the one of Leo Franchi in comment #3 of BUG 228214. That went away when he upgraded Qt.
  - It runs aground at the very first QSortFilterProxyModel. That must be GroupingProxy, which is a dumb 1:1 passthrough of rows.

I don't know the PrettyListView code well; it might be doing something nasty somewhere.

But given the observations, I think that there's a significant chance of a bug in Qt.
Comment 3 langstr 2010-03-18 12:12:52 UTC
Ah! Qt 4.7 is not yet an official release of Qt, if I understand correctly?

That would strengthen the suspicion.
Comment 4 Sven Krohlas 2010-04-20 23:34:53 UTC
*** Bug 234591 has been marked as a duplicate of this bug. ***
Comment 5 Sven Krohlas 2010-04-21 00:10:17 UTC

*** This bug has been marked as a duplicate of bug 229240 ***